Skip to content

Contacts to preview a campaign as, one per language

GET
/api/v1/workspaces/{workspace}/campaigns/{campaignId}/languages/preview-contacts
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/languages/preview-contacts \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

One contact per workspace language among the audience’s lists, in the workspace’s order, then one whose language the workspace doesn’t offer, each with the version they get.

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

campaignId
required
string format: uuid

OK

Media typeapplication/json
object
items
required
Array<object>
object
email
required
string
gets
required
string
id
required
string format: uuid
language
required
string
name
required
string
offered
required
boolean

Example generated

{
"items": [
{
"email": "example",
"gets": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"language": "example",
"name": "example",
"offered": true
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}